UntangledAPI
Api referenceExtract

Extract SaaS renewal and cancellation-window terms

POST
/v1/extract/renewal

Authorization

x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.untangledapi.com/v1/extract/renewal" \  -H "Content-Type: application/json" \  -d '{    "document": {}  }'
{
  "document_id": "b792e8ae-2cb4-4209-85b9-32be4c2fcdd6",
  "vendor_renewal_id": "87ca0843-dcf6-47ac-bf62-71d4b5bdf73a",
  "overall_status": "confirmed",
  "data": {
    "documentKindGuess": "order_form",
    "vendorName": {
      "value": "string",
      "sourceQuote": "string"
    },
    "product": {
      "value": "string",
      "sourceQuote": "string"
    },
    "billingAmount": {
      "value": 0,
      "sourceQuote": "string"
    },
    "currency": {
      "value": "string",
      "sourceQuote": "string"
    },
    "billingFrequency": {
      "value": "monthly",
      "sourceQuote": "string"
    },
    "seatCount": {
      "value": 0,
      "sourceQuote": "string"
    },
    "contractStartDate": {
      "value": "string",
      "sourceQuote": "string"
    },
    "contractEndDate": {
      "value": "string",
      "sourceQuote": "string"
    },
    "renewalDate": {
      "value": "string",
      "sourceQuote": "string"
    },
    "noticePeriodDays": {
      "value": 0,
      "sourceQuote": "string"
    },
    "noticePeriodText": {
      "value": "string",
      "sourceQuote": "string"
    },
    "autoRenewalLanguage": {
      "value": "string",
      "sourceQuote": "string"
    },
    "autoRenewal": {
      "value": true,
      "sourceQuote": "string"
    },
    "committedSpend": {
      "value": 0,
      "sourceQuote": "string"
    },
    "paymentTermsDays": {
      "value": 0,
      "sourceQuote": "string"
    },
    "priceEscalationText": {
      "value": "string",
      "sourceQuote": "string"
    }
  },
  "model": "string",
  "usage": {
    "inputTokens": 0,
    "outputTokens": 0
  },
  "document": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "vendorRenewalId": "643b6c4a-3b81-499a-bc20-604622fc39c5",
    "filename": "string",
    "mediaType": "string",
    "byteSize": 0,
    "documentKindGuess": "order_form",
    "extraction": {
      "property1": null,
      "property2": null
    },
    "model": "string",
    "createdAt": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "plan_limit_exceeded",
    "message": "string",
    "details": {
      "plan": "free",
      "bucketHeu": 0,
      "requestedHeu": 0,
      "upgradeUrl": "http://example.com"
    }
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}